Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065642 - libcdio 0.90 iso-read cannot read many Linux .iso, cannot read RHEL 7's .iso >4GB
Summary: libcdio 0.90 iso-read cannot read many Linux .iso, cannot read RHEL 7's .iso ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libcdio
Version: 7.0
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Frantisek Kluknavsky
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-15 10:42 UTC by mapsonder
Modified: 2014-06-18 08:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 10:42:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description mapsonder 2014-02-15 10:42:09 UTC
Description of problem:

With libcdio 0.90 iso-read gives bad results for .iso files > 4GB.  Notably RHEL 7's own rhel-7-public-beta-x86_64-dvd.iso is 4.4GB large.  Also it cannot read Linux .iso files that use Rock Ridge for file name encoding.

Version-Release number of selected component (if applicable):

0.90

How reproducible:

100%.

Steps to Reproduce:

1.  From bug report https://savannah.gnu.org/bugs/index.php?39373 get most recent file iso-read-test.sh at https://savannah.gnu.org/bugs/download.php?file_id=30554

2.  Run that file either plain or with a single parameter 5000, such as
./iso-read-test.sh
./iso-read-test.sh 5000

3.  At the end of output see a lot of "read DEFECT" where you should see nothing but "read back OK".

Actual results:

At the end of output see a lot of "read DEFECT".

Expected results:

You should see nothing but "read back OK".

Additional info:

There were more than one problems in libcdio 0.90, not just the 4G limit.  E.g. Rock Ridge support (often needed for Linux) wasn't compiled in by default.

libcdio 0.92 fixes a lot of problems, and has been out for a couple of months, and has been working well so far.

I don't think relevant fixes can be isolated for patching 0.90.

There also is a discussion in docs files at https://github.com/srguiwiz/nrvr-commander/blob/master/docs/which-version-iso-read.txt

RHEL 7.0 should release with a healthy libcdio 0.92.

Comment 5 Vadim Rutkovsky 2014-03-21 11:16:18 UTC
Verified on libcdio-0.92-1.el7.x86_64:
Overall success of iso-read-test.sh :)

Comment 6 Ludek Smid 2014-06-13 10:42:29 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.